#include "DxLib.h"
#include "../header/define.h"
#include "../header/struct.h"

static int i;
static int img_waku;
static int img_tama;
static int img_block1;
static int img_Ziki[28];

BlockDeta_t BD[Block_Order_Max]={
	/*Sx,yW,E[,[,[,[,o,őHP,HP,|邩,m},݃tO*/
	 {    273,  233, 259, 232, 247, 220,     1,     1, 1,       1,     1,         1},
	 {    245,  233, 259, 232, 247, 220,     1,     1, 1,       1,     1,         1},
	 {    217,  233, 229, 204, 247, 220,     1,     1, 1,       1,     1,         1}
};

BlockOrder_t BO[Block_Order_Max]={
	/*Sx,yW,E[,[,[,[,o,őHP,HP,|邩,m},݃tO*/
	 {    273,  233, 259, 232, 247, 220,     1,     1, 1,       1,     1,         1},
	 {    245,  233, 259, 232, 247, 220,     1,     1, 1,       1,     1,         1},
	 {    217,  233, 229, 204, 247, 220,     1,     1, 1,       1,     1,         1}
};

void Load_Graph(){
	img_waku=LoadGraph("img/waku.png");
	img_tama=LoadGraph("img/tama_ver0.10.png");
	img_block1=LoadGraph("img/block1.png");
	LoadDivGraph("img/ziki[28]_ver0.26.png",28,4,7,53,35,img_Ziki);
}

void DrawAll(){
	DrawRotaGraph(ZP.x,ZP.y,1.0,0.0,img_Ziki[ZP.img],TRUE);
	for(i=0;i<Block_Order_Max;i++){if(BO[i].flag==1){DrawRotaGraph(BO[i].x,BO[i].y,1.0,0.0,img_block1,TRUE);}}
	DrawRotaGraph(TP.x,TP.y,1.0,0.0,img_tama,TRUE);
	DrawGraph(0,0,img_waku,TRUE);
	DrawFormatString(  0,0,GetColor(255,255,255),"%f",TP.sp);
	DrawFormatString(  0,20,GetColor(255,255,255),"%d %d",TP.x,TP.y);
	DrawFormatString(  0,40,GetColor(255,255,255),"%f",TP.at+ZP.at);
	DrawFormatString(  0,60,GetColor(255,255,255),"%d %d",ZP.x-TP.x,ZP.y+9-TP.y);
	DrawFormatString(  0,80,GetColor(0,0,255),"%d %d %d",BO[0].x,BO[0].y,BO[0].flag);
}